Option Strict Off
Option Explicit On

Friend Class frmCadastroConsumidorLeiturasGrupoA
    Inherits System.Windows.Forms.Form
    Private vPrecisao() As Short

#Region "Propriedades"

    Private Sub frmCadConsumidorLeiturasGrupoA_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load

        Try
            If Not vfrmOld Is Nothing Then
                vfrmOld.Enabled = True
            End If
        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub cmdFechar_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdFechar.Click

        Try

            lClose()

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub cmdOK_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdOK.Click

        Dim lintAux As Object
        Dim lstrValores() As String

        Try

            ReDim lstrValores(Me.txtValor.UBound)

            For lintAux = Me.txtValor.LBound To Me.txtValor.UBound
                lstrValores(lintAux) = Me.txtValor(lintAux).Text
            Next

            If Not vfrmOld Is Nothing Then
                vfrmOld.RetornoCamposLeituraGrupoA(lstrValores)
            End If

            lClose()

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub frmCadConsumidorLeiturasGrupoA_KeyPress(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.KeyPressEventArgs) Handles MyBase.KeyPress

        Dim KeyAscii As Short = Asc(eventArgs.KeyChar)

        Try

            If TypeOf VB6.GetActiveControl() Is System.Windows.Forms.TextBox Then

                If KeyAscii = System.Windows.Forms.Keys.Return Then
                    TabEnter(KeyAscii, eventArgs)
                ElseIf KeyAscii <> System.Windows.Forms.Keys.Back And (KeyAscii < System.Windows.Forms.Keys.D0 Or KeyAscii > System.Windows.Forms.Keys.D9) Then

                    If KeyAscii = System.Windows.Forms.Keys.Delete Then
                        KeyAscii = System.Windows.Forms.Keys.Snapshot
                    End If

                    If KeyAscii <> System.Windows.Forms.Keys.Snapshot Then
                        KeyAscii = 0
                    Else
                        If InStr(1, VB6.GetActiveControl().Text, ",") > 0 Then
                            KeyAscii = 0
                        End If
                    End If

                End If

            End If

            eventArgs.KeyChar = Chr(KeyAscii)

            If KeyAscii = 0 Then
                eventArgs.Handled = True
            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub frmCadConsumidorLeiturasGrupoA_FormClosed(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed

        Try
            If Not vfrmOld Is Nothing Then
                vfrmOld.Enabled = True
            End If
        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub


#End Region

#Region "Métodos"

    Private Sub lClose()

        Try

            Close()

        Catch ex As Exception
            Exit Sub
        End Try

    End Sub

    Public Sub SetaDados(ByRef frmOld As System.Windows.Forms.Form, ByRef strValores() As String, ByRef intPrecisao() As Short, ByRef blnHabilitado() As Boolean)

        Dim lintAux As Short

        Try

            For lintAux = LBound(strValores) To UBound(strValores)
                With Me.txtValor(lintAux)
                    .Text = strValores(lintAux)
                    .Enabled = blnHabilitado(lintAux)
                    If .Enabled Then
                        .BackColor = System.Drawing.SystemColors.Window
                    Else
                        .BackColor = System.Drawing.SystemColors.Control
                    End If
                End With
            Next

            vPrecisao = VB6.CopyArray(intPrecisao)

            If Not frmOld Is Nothing Then
                vfrmOld = frmOld
                vfrmOld.Enabled = False
            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu um Erro Inesperado. Favor, Contate o Administrador do Sistema ou a Equipe de Suporte de sua localidade! ", "Fatal - Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub


#End Region

End Class